DeluxHostAPI Reference
Services & monitoring

List services

GET
/v1/services

Newest first, and not paginated: this is a list of things somebody pays for monthly, so it is small by nature. The invoice list, which grows forever, is paginated.

Authorization

apiToken services:read
headerAuthorizationBearer <token>

A personal API token: Authorization: Bearer dh_live_…. See Authentication for scopes.

Scope: services:read

Response Body

The services.

application/json
  1. response
items*array<>
curl -X GET 'https://api.deluxhost.net/v1/services' \  -H "Authorization: Bearer $DELUXHOST_TOKEN"
Example Response
{  "items": [    {      "id": 0,      "orderNumber": 0,      "name": "string",      "productSlug": "string",      "productName": "string",      "status": "string",      "cycle": "string",      "priceCents": 0,      "nextDueAt": "2019-08-24T14:15:22Z",      "createdAt": "2019-08-24T14:15:22Z",      "platform": "string",      "provisioned": true    }  ]}